# OSGeo::FDO::Commands::LongTransaction::ILongTransactionReaderImp Class Reference
[OSGeo::FDO::Commands::LongTransaction]

Inheritance diagram for OSGeo::FDO::Commands::LongTransaction::ILongTransactionReaderImp:

[legend]

List of all members.

## Detailed Description

The ILongTransactionReaderImp class is a concrete implementation of ILongTransactionReader. The ILongTransactionReader interface provides forward only, read-only functionality for enumerating long transactions. A reference to an ILongTransactionReader is returned from the GetLongTransactions command. The initial position of the ILongTransactionReader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.

()

## Public Member Functions
System::Void | Close ()
| Closes the ILongTransactionReader object, freeing any resources it may be holding.
OSGeo::FDO::Commands::LongTransaction::ILongTransactionReader * | GetChildren ()
| Provides access to the direct descendent long transactions for the long transaction being currently read. The caller can use the returned reader to get to the next level of descendents if required. The returned reader is empty if there are no descendents for the long transction.
System::DateTime | GetCreationDate ()
| Retrieves the creation date of the long transaction currently being read.
System::String * | GetDescription ()
| Retrieves the description of the long transaction currently being read.
System::String * | GetName ()
| Retrieves the name of the long transaction currently being read.
System::String * | GetOwner ()
| Retrieves the owner of the long transaction currently being read.
OSGeo::FDO::Commands::LongTransaction::ILongTransactionReader * | GetParents ()
| Provides access to the direct ascendant long transactions for the long transaction being currently read. The caller can use the returned reader to get to the next level of ascendants if required. The returned reader is empty if there are no ascendants for the long transaction.
System::Boolean | IsActive ()
| Returns true if the long transaction currently being read is the active long transaction.
System::Boolean | IsFrozen ()
| Returns true if the long transaction currently being read is frozen.
System::Boolean | ReadNext ()
| Advances the reader to the next item. The default position of the reader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.